/*
Generic CSS file that should be used for every page.
Set the overall tone of the website. sets header and footer
*/

/* Re-occuring colors: 
logo-blue/button-blue #3A4EA3
banner-grey/background-grey #DBDBDB
hover-yellow/accent-yellow #E2B327
table-blue/sidebar-blue #C8D5E7
*/

/*
RESET
-------------------------

/* http://meyerweb.com/eric/tools/css/reset/
   v2.0 | 20110126
   License: none (public domain)
*/

html,
body,
div,
span,
applet,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
a,
abbr,
acronym,
address,
big,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
s,
samp,
small,
strike,
strong,
sub,
sup,
tt,
var,
b,
u,
i,
center,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
embed,
figure,
figcaption,
footer,
header,
hgroup,
menu,
nav,
output,
ruby,
section,
summary,
time,
mark,
audio,
video {
    margin: 0;
    padding: 0;
    border: 0;
    font-size: 100%;
    font-family: Arial, sans-serif;
    vertical-align: baseline;
    box-sizing: border-box;
}

/* HTML5 display-role reset for older browsers */
article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
    display: block;
}

body {
    display: flex;
    flex-direction: column;
    min-height: 100dvh;
    line-height: 1.6;
}

ol,
ul {
    list-style: none;
}

blockquote,
q {
    quotes: none;
}

blockquote:before,
blockquote:after,
q:before,
q:after {
    content: '';
    content: none;
}

table {
    border-collapse: collapse;
    border-spacing: 0;
}

input,
textarea {
    font-family: Arial, sans-serif;
}

/*-------------------------*/

/*
GENERAL STYLING
-------------------------
*/

h1 {
    font-size: 225%;
    font-weight: bold;
    text-align: left;
    margin: 1em 0 1.5em 0.4em;
}

h2 {
    font-size: 175%;
    font-weight: bold;
    text-align: left;
}

h3 {
    font-size: 150%;
    font-weight: bold;
    margin-top: 10px;
    margin-bottom: 10px;
}

.status-h3 {
    font-size: 110%;
    font-weight: bold;
    margin-top: 10px;
    margin-bottom: 10px;
}

h4 {
    font-size: 110%;
    font-weight: bold;
    margin-top: 10px;
    margin-bottom: 10px;
}

td,
th {
    padding: 4px 6px;
    border: 2px solid black;
    white-space: nowrap;
}

/* Vissa p-taggar. */
.labels {
    font-size: 18px;
    font-weight: bold;
}

li {
    display: inline-block;
}

/* Lägger till margin under rubriker. */
.text-spacing {
    margin-bottom: 1em;
}

/* Lägger till margin under vissa element. */
.header-margin {
    margin-left: 0.6em;
}

/* Döljer labels visuellt men de syns för skärmläsare. */
.hidden-label {
    position: absolute;
    width: 1px;
    height: 1px;
    padding: 0;
    margin: -1px;
    overflow: hidden;
    clip: rect(0, 0, 0, 0);
    border: 0;
    white-space: nowrap;
}

/*-------------------------*/

/*
GENERAL CLASSES
#7896FF
#8CA6FF
-------------------------
*/
/*
.background-img {
    height: 1000px;
    width: auto;
    z-index: -1;
}*/

/* Generell knapp-style. */
.button {
    border: none;
    outline: none;
    color: white;
    background-color: #3A4EA3;
    border-radius: 5px;
    font-size: 18px;
    padding: 8px 15px;
    font-family: Arial, sans-serif;
}

.button:hover {
    background-color: #e2b327;
    color: black;
    cursor: pointer;
}

.select-system-button {
    font-size: 85%;
    border: none;
    color: white;
    white-space: normal;
    cursor: pointer;
    width: 28em;
    height: 2.5em;
    text-align: center;
    background-color: #3A4EA3;
    border-radius: 5px;
}

.select-system-button:hover {
    background-color: #e2b327;
    color: black;
}

.software-button {
    margin-left: 1em;
}

/* Centrerar en div med innehåll. */
.placement-div {
    margin: 0 auto 3em auto;
}

.clear-text {
    font-size: 20px;
}

/* Används för att visa användare i grupper/system. */
.general-box {
    display: inline-block;
    color: black;
    margin: 5px;
    padding: 0.25em 0.45em;
    background-color: #85e288;
    border: 1px solid black;
    border-radius: 5px;
    width: fit-content;
    text-align: center;
}

/* Klickbar länk till användare. */
.clickable {
    cursor: pointer;
    text-decoration: none;
}

.clickable:hover {
    background-color: #e2b327;
}

.general-button {
    border: none;
    outline: none;
    color: white;
    background-color: #3A4EA3;
    border-radius: 5px;
    font-size: 18px;
    padding: 8px 15px;
    cursor: pointer;
    font-family: Arial, sans-serif;
    margin: 0 0.5em 0.5em 0;
}

.general-button:hover {
    background-color: #E2B327;
    color: black;
}

.general-button-edited {
    background-color: #E2B327;
    color: #000000;
    border: 1px solid black;
}

.general-button-active {
    background-color: #E2B327;
    font-weight: bold;
    color: #000000;
}

/* Används för större handlingar i formulär - uppdatera/ta bort. */
.general-submit-button {
    font-size: 20px;
    padding: 0.5em 3em;
    cursor: pointer;
    margin-top: 0.5em;
    text-decoration: none;
}

.general-submit-button:hover {
    background-color: #d8be4d;
    color: black;
}

/* Submit-knappar som ligger utanför formulär. */
.submit-outside-form {
    margin-top: 2em;
    display: block;
}

.general-button-link {
    margin: 0.75em;
    text-decoration: none;
}

.general-button-link-active {
    background-color: #336699;
    padding: 4px;
    margin-top: 5px;
    margin-bottom: 5px;
    text-decoration: none;
    background-color: #ffffcc;
    color: #000000;
}

.white-text {
    display: inline-block;
    color: white;
    padding-bottom: 0.5em;
}

.pick-object-link {
    display: inline-block;
    color: white;
    background-color: #3A4EA3;
    padding: 5px 10px;
    min-width: 230px;
    margin: 1em 0 0 1em;
    text-decoration: none;
    border-radius: 5px;
    cursor: pointer;
    font-family: inherit;
    font-size: 14px;
    text-align: center;
}

.pick-object-link:hover {
    background-color: #d8be4d;
    color: black;
    outline: 1px solid black;
}

.pick-object-link-active {
    background-color: #d8be4d;
    color: black;
    font-weight: bold;
}

/* Div med tillbaka-knapp. */
.go-back-link {
    margin: 1em 0;
}

.system-type-button {
    margin: 0.75em;
    width: 8em;
    text-align: center;
    text-decoration: none;
    display: inline-block;
}

.select-system-type-header {
    margin: 1em 0 0 0.5em;
}

.div-header {
    display: inline-block;
    font-size: 2em;
    color: white;
    margin: 0.5em;
}

.div-dark-background {
    background-color: #4263bc;
}

.container-div {
    margin-right: 0.7em;
    margin-left: 0.7em;
}

.permission-container-div {
    padding: 0.75em;
    margin: 0.75em;
    outline: 1px solid black;
    border-radius: 5px;
}

.permission-true {
    background-color: #85e288;
    font-weight: bold;
    outline: none;
}

.center-element {
    display: table;
    margin: 1em auto 0 auto;
}

.left-text {
    text-align: left;
}

.center-text {
    text-align: center;
}

.margin-center {
    margin: 0 auto;
}

.block-display {
    display: inline-block;
    vertical-align: top;
}

/* Används för containers med formulär/scrollboxes. */
.selection-container {
    background-color: #DBDBDB;
    padding: 1em;
    margin: 1em 0.5em 0 1em;
    border-radius: 10px;
    width: 22em;
}

/* Div för grupperat innehåll/kolumner. */
.group-container {
    background-color: #DBDBDB;
    padding: 1em;
    margin: 2em 0.5em 1em 1em;
    border-radius: 10px;
    max-width: 1600px;
    min-width: fit-content;
}

.group-container-less-margin {
    background-color: #DBDBDB;
    padding: 1em;
    margin: 0 0.5em 0 1em;
    border-radius: 10px;
    max-width: 1600px;
}

.group-container-higher {
    min-height: 850px;
}

.group-container-fit {
    width: fit-content;
}

/* Flexade container för innehåll som behöver ligga på rad och wrappa. */
.group-flex {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    margin: 0;
}

.group-flex-links {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    margin: 0;
    max-width: 900px;
}

.button-margin {
    margin: 0 0.5em 0 0;
}

#confirmRequestForm {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: center;
}

.config-request {
    background-color: #DBDBDB;
    padding: 0.5em 1em 1em 1em;
    margin: 0 1em 2em 1em;
    border-radius: 10px;
    width: fit-content;
}

.config-request-status {
    background-color: white;
    border-radius: 5px;
    border: 1px solid black;
    padding-left: 1em;
    margin-top: 1em;
    height: 130px;
    width: 430px;
}

/* Används på redigera-sidorna. */
.edit-container {
    background-color: #DBDBDB;
    margin: 2em 0 2em 1em;
    padding: 1em;
    border-radius: 10px;
    height: fit-content;
    min-width: 200px;
    width: fit-content;
    max-width: 1500px;
}

.block-display-inner {
    display: inline-block;
    vertical-align: top;
    margin-left: 1em;
    margin-right: 1em;
}

.vertical-display {
    display: block;
    margin-top: 0.5em;
}

.align-middle {
    vertical-align: middle;
}

.color-status {
    background-color: #99ccff;
}

.hidden {
    display: none;
}

/* Scrollbox som används för alla typer av listor med användare/system. */
.scrollbox {
    max-height: 25em;
    width: 20em;
    overflow: auto;
    background-color: white;
    border-radius: 5px;
    padding-bottom: 1em;
    margin-bottom: 1em;
}

.scrollbox-group {
    height: min-content;
    min-height: 400px;
}

.scrollbox-high {
    max-height: 30.2em;
    min-height: 482px;
}

.input-button {
    margin: 1em 0 0 1em;
    border: none;
    color: white;
    background-color: #3A4EA3;
    padding: 5px 10px;
    border-radius: 5px;
    cursor: pointer;
    font-family: inherit;
    font-size: 14px;
    min-width: fit-content;
    width: 230px;
}

.input-button:hover {
    background-color: #d8be4d;
    color: black;
    outline: 1px solid black;
}

.input-button-no-left-margin {
    margin: 1em 0 0 0;
    border: none;
    color: white;
    background-color: #3A4EA3;
    padding: 5px 10px;
    border-radius: 5px;
    cursor: pointer;
    font-family: inherit;
    font-size: 14px;
    min-width: fit-content;
    width: 230px;
}

.input-button-no-left-margin:hover {
    background-color: #d8be4d;
    color: black;
    outline: 1px solid black;
}

.disabled-cell {
    background-color: #bbb;
    color: #777;
}

.text-area-holder {
    margin-left: 1em;
    margin-right: 1em;
    padding: 1em;
    background-color: #4263bc;
    color: #ECECEC;
    border: 1px solid black;
    text-align: center;
    font-size: 2em;
}

.system-text-area {
    width: 50em;
    height: 25em;
    padding: 10px;
    border-radius: 10px;
    font-family: Arial, sans-serif;
    outline: none;
    resize: none;
    border: 1px solid darkgray;
}

.system-info-bar-holder {
    margin-bottom: 2px;
}

/* Huvud-innehåll med wrapper, sidebar och main som är återkommande. */
.layout-wrapper {
    flex: 1 1 auto;
    display: flex;
    min-height: 0;
}

.sidebar {
    flex: 0 0 17em;
    width: 17em;
    padding: 1em 0;
    overflow: auto;
    background-color: #C8D5E7;
}

main:not(.main-login) {
    width: 80%;
    flex: 1 1 auto;
    min-width: 0;
    padding: 0 2em 3em 1em;
    overflow: auto;
}

/*
GROUPING CLASSES
-------------------------
*/
.col-category {
    margin-right: 3em;
    display: inline-block;
    padding: 1em 0;
    max-width: 375px;
    min-width: 200px;
}


/*
-------------------------
*/


/*
TABLE CLASSES
-------------------------
*/

/* .systemInfoTableHolder {
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    gap: 0.5em 0.7em;
} */

.data-table {
    /*Generic class for tables*/
    border-collapse: collapse;
    border-spacing: 0;
    white-space: nowrap;
    text-align: center;
    color: black;
    background-color: white;
    outline: none;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;

    /* IE kräver fast breddrelation */
    table-layout: auto;
    /* låt kolumner växa med innehållet */
    max-width: none;
    /* hindra Firefox från att klippa */
}

.data-table caption {
    caption-side: top;
    text-align: center;
    padding-bottom: 0.4em;
}

.data-table td,
.data-table th {
    text-align: left;
}

td span {
    display: block;
    text-align: center;
}

.tempEntryProgramTextArea,
.larmEntryProgramTextArea {
    vertical-align: middle;
}

.sirenUnitDropdown,
.quittanceUnitDropdown,
.lineFaultUnitDropdown,
.callDelayUnitDropdown,
.callbackUnitDropdown,
.testLarmReceiverDropdown,
.productType,
#changeNetworkType,
#output_on_time_unit {
    font-family: Arial, sans-serif;
    box-sizing: border-box;
    background-color: #f0f0f0;
    padding-left: 5px;
    margin-left: 1px;
    height: 2em;
    border-radius: 5px;
    border: 1px solid #353535;
}

#changeNetworkType {
    margin-bottom: 5px;
}

#output_on_time_unit {
    margin-left: -5px;
}



/* .table-background {
    background-color: #3A4EA3;
} */

.rotate {
    /* Safari */
    -webkit-transform: rotate(-90deg);

    /* Firefox */
    -moz-transform: rotate(-90deg);

    /* IE */
    -ms-transform: rotate(-90deg);

    /* Opera */
    -o-transform: rotate(-90deg);

    /* Internet Explorer */
    filter: progid:DXImageTransform.Microsoft.BasicImage(rotation=4);
}

.sub-side-caption {
    border-left: 1px solid black;
    border-bottom: 1px solid black;
    text-align: center;
    vertical-align: middle;
    background-color: #C8D5E7;
    font-weight: bold;
}

.data-table .sub-caption {
    text-align: center;
}

.sub-caption-holder {
    border: 0px solid black;
    text-align: center;
}

.sub-caption {
    background-color: #C8D5E7;
    font-weight: bold;
    border-right: 1px solid black;
    border-left: 1px solid black;
    border-top: 1px solid black;
}

.data-table .checkbox-td {
    width: 3em;
    height: 3em;
    margin: 0px;
    padding: 0px;
}

.data-table .checkbox-tr {
    margin: 0px;
    padding: 0em;
}

.data-table .temp {
    text-align: center;
}

.temp-table td.red-status {
    text-align: center;
}

.temp-table td.green-status {
    text-align: center;
}

.data-table .pos {
    text-align: center;
}

.data-table .time-col {
    text-align: center;
}

.data-table th:not(.call-list-order):not(.sms-list-order) {
    background-color: #C8D5E7;
    color: black;
}

.table-distance {
    margin: 1em 0.5em 1em 0;
}

.table-header {
    font-size: 2em;
    padding: 0.5em;
    background-color: #3A4EA3;
    color: white;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
}

#larmListHolder .data-table,
#groupStatusHolder .data-table,
#outputHolder .data-table {
    width: 100%;
}

.center-cell td {
    text-align: center;
}

.center-cell th {
    text-align: center;
}

.name-width {
    width: 17em;
}

.pos-width {
    width: 2em;
}

.phone-number-width {
    width: 10em;
}

.status-width {
    width: 4em;
}

.receiver-width {
    width: 7em;
}

.type-width {
    width: 7em;
}

.temp-width {
    width: 5em;
}

.select-phone-number-width {
    width: 17em;
}

.event-width {
    width: 20em;
}

.timestamp-width {
    width: 10em;
}

.m-status-length {
    width: 7em;
}

.smaller-header-width {
    width: 5em;
}

.extra-status-tab-width {
    width: 9em;
}

.time-width {
    width: 9em;
}

.table-button {
    padding: 5px;
    border-radius: 5px;
    border: none;
    color: white;
    background-color: #3A4EA3;
    cursor: pointer;
    font-family: inherit;
    font-size: 14px;
    width: fit-content;
}

.table-button-flex {
    width: 75%;
}

.table-button-full {
    width: 100%;
}

.table-button:hover,
.table-button-flex:hover,
.table-button-full:hover {
    background-color: #d8be4d;
    color: black;
}

.table-input-box {
    height: 1.75em;
    border: 2px solid #9c9c9c;
    border-radius: 5px;
    outline: none;
    padding-left: 5px;
}

/*---------  FORMS ? ----------------*/

.create-user-form,
.create-system-form {
    display: inline-block;
    background-color: #DBDBDB;
    padding: 1em;
    border-radius: 10px;
    margin: 1em 0.5em 0 1em;
    width: 24em;
}

.edit-user-form {
    display: inline-block;
    background-color: #DBDBDB;
    border-radius: 10px;
    width: 22em;
    padding-right: 1em;
}

/* Labels i formulär. */
.form-label {
    display: block;
    padding-right: 0.5em;
    font-size: 18px;
}

/* Input-fält i formulär. */
.form-input {
    padding-left: 5px;
    margin-bottom: 1em;
    height: 2em;
    width: 20em;
    border-radius: 5px;
    border: 1px solid #353535;
    font-family: Arial, sans-serif;
}

.form-input-select {
    box-sizing: border-box;
    width: 20.65em;
    height: 2.25em;
    background-color: white;
    padding-right: 1em;
    font-family: inherit;
}

.form-input-table-select {
    font-family: Arial, sans-serif;
    box-sizing: border-box;
    background-color: #f0f0f0;
    padding-left: 5px;
    margin-left: 1px;
    height: 2em;
    border-radius: 5px;
    border: 1px solid #353535;
}

.form-input-small {
    width: 7.5em;
}

/* Text-areas. */
.form-input-text {
    height: 5em;
    resize: none;
    font-family: Arial, sans-serif;
}

.no-results-error {
    color: red;
    margin: 1em 0 0 1em;
}

.input-error {
    background-color: #ff4d4d;
}

.input-error-no-border {
    background-color: #d60404;
    width: 100%;
    height: 100%;
}

.float-right {
    float: right;
    vertical-align: top;
}

.float-left {
    float: left;
    vertical-align: top;
}

.checkbox {
    width: 1.5em;
    height: 1.5em;
}

.extra-space-under {
    margin-bottom: 1em;
}

.extra-space-over {
    margin-top: 1em;
}

.hidden-checkbox {
    display: none;
}

.hide {
    display: none;
}

.checkbox-label {
    display: inline-block;
    color: black;
    background-color: #e55952;
    padding: 5px 10px;
    text-decoration: none;
    border: 2px none black;
    border-radius: 5px;
    cursor: pointer;
    min-width: 230px;
    text-align: center;
}

.checkbox-label:hover {
    background-color: #85e288;
    color: black;
    outline: 1px solid black;
}

.hidden-checkbox:checked+.checkbox-label {
    background-color: #85e288;
    color: black;
    font-weight: bold;
}

.group {
    margin: 0.5em 0 0.5em 1em;
}

/* Checkboxar. */
.checkbox-label-permission {
    display: inline-block;
    color: black;
    background-color: #e55952;
    padding: 5px 10px;
    text-decoration: none;
    border: 2px none black;
    border-radius: 5px;
    cursor: pointer;
    min-width: 230px;
}

.checkbox-label-permission:hover {
    background-color: #85e288;
    color: black;
    outline: 1px solid black;
}

.hidden-checkbox:checked+.checkbox-label-permission {
    background-color: #85e288;
    color: black;
    font-weight: bold;
}

.checkbox-list-label {
    display: flex;
    background-color: #CF3838;
    /* display: inline-block; */
    width: 100%;
    height: 100%;
    /*  text-align: center; */
    align-items: center;
    justify-content: center;
    /* vertical-align: middle; */
}

.checkbox-list-label:hover {
    background-color: #d8be4d;
}

@media (hover: none) {
    .checkbox-list-label:hover {
        background-color: #CF3838;
    }
}

.hidden-checkbox:checked+.checkbox-list-label {
    background-color: #85e288;
}

/*class used for IE 8*/
.hidden-checkbox-checked {
    background-color: #85e288;
}

.checkbox-list-label-disabled {
    background-color: #dddddd;
    display: inline-block;
    width: 100%;
    height: 100%;
    text-align: center;
    vertical-align: middle;
}

.hidden-checkbox:checked+.checkbox-list-label-disabled {
    background-color: #85e288;
}

.disabled-textbox {
    background-color: #bbbbbb;
    color: black;
    opacity: 0.9;
    border: 2px solid #292828;
}

.disabled-element {
    background-color: #9b9696;
}

.user-in-group-label {
    display: inline-block;
    border: none;
    color: white;
    margin: 5px;
    padding: 0.5em;
    background-color: #336699;
    border: 3px outset black;
}

.successMessage,
.errorMessage {
    text-align: left;
    margin: -3em 0 2em 1em;
}

.successMessageText {
    font-size: 150%;
    color: green;
}

.errorMessageText {
    font-size: 150%;
    color: #9e0303;
}

/* Endast på loginsidan */
.main-login .errorMessageText {
    text-align: center;
}

.error-message-login {
    text-align: center;
}

.smallErrorText {
    color: #9e0303;
}

.system-link-holder {
    margin-bottom: 1em;
}

.select-system-holder {
    display: table;
    height: 10em;
    background-color: #DBDBDB;
    padding-right: 1.5em;
    border-radius: 10px;
    margin-left: 1em;
}

.select-system-column {
    display: inline-block;
    margin-bottom: 1em;
    vertical-align: top;
    margin-left: 1.5em;
}

.searchBox {
    margin-top: 1em;
    margin-bottom: 1em;
}

/* Inputfält med sökfunktion. */
.system-search-box {
    display: block;
    margin-bottom: 2em;
    height: 2em;
    width: 20em;
    border-radius: 5px;
    border-style: none;
    border: 1px solid #353535;
    padding-left: 5px;
}

.index-search-box {
    margin-top: 1em;
    margin-left: 1.5em;
}

.system-status {
    display: inline-block;
    text-align: center;
    padding: 4px 5px;
    border-radius: 5px;
}

.online-status,
.offline-status {
    padding: 5px 10px;
    border-radius: 5px;
}

.online-status {
    background-color: #90f090;
}

.offline-status {
    background-color: #ff4d4d;
}

.form-holder {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: flex-start;
    align-items: flex-start;
    gap: 1em;
}

.form-holder-one-column {
    display: flex;
    flex-direction: row;
}

/*-------------------------*/

/*
GENERAL STATUS CLASSES
-------------------------
*/
.red-status {
    color: #000000;
    background-color: #ff4d4d;
    /*Red #ff3333*/
}

.orange-status {
    color: #000000;
    background-color: #ff944d;
    /*Orange*/
}

.yellow-status {
    color: #000000;
    background-color: #ffe680;
    /*yellow #ffe066*/
}

.green-status {
    color: #000000;
    background-color: #90f090;
    /*Green #99ff99*/
}

.grey-status {
    color: #000000;
    background-color: #b4b4b4;
}

/*-------------------------*/

/*
ADMIN PAGES
-------------------------
*/

/* DELETE-knappar. */
.delete-group-button,
.delete-user-button,
.delete-system-button {
    float: right;
    background-color: #ca2929;
    color: white;
    margin-top: 2em;
}

.delete-group-button:hover,
.delete-user-button:hover,
.delete-system-button:hover {
    background-color: #ff4d4d;
    color: black;
    outline: 3px solid black;
}

.update-group-button {
    background-color: #3A4EA3;
    color: white;
    margin-top: 2em;
}

.update-group-button:hover {
    color: black;
    background-color: #E2B327;
}

.system-edit-container {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 1em;
}

.system-edit-block {
    display: block;
    padding: 1em;
    border: 1px solid black;
    background-color: #C8D5E7;
    border-radius: 10px;
    /* overflow: hidden; */
    /*used for float right in system-edit-submit-button */
}

.system-edit-submit-button {
    padding: 0.3em;
    margin-top: 1em;
    border: none;
    background-color: #006080;
    color: white;
    float: right;
}

/*
INDEX HEADER CLASSES
-------------------------
*/
.index-header {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    border-bottom: 3px solid #3A4EA3;
    flex: 0 0 auto;
}

.header-right {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    margin-right: 2em;
    align-items: center;
}

/* Användarinfo i headern. */
.user-info {
    padding-right: 2em;
    font-weight: bold;
}

/* Språkväxling i headern. */
.change-language {
    display: flex;
    flex-direction: row;
    justify-content: center;
    padding-right: 1em;
    margin-right: 2em;
    border-right: 3px solid #3A4EA3;
}

#change-language-public {
    border-right: none;
}

#swedish,
#english,
.lang {
    display: flex;
    flex-direction: row;
    justify-content: left;
    align-items: center;
    margin: 0.25em;
    padding: 0.25em 1em 0.25em 0.5em;
    text-decoration: none;
    color: black;
    font-weight: bold;
}

#swedish:hover,
#english:hover {
    background-color: #DBDBDB;
    border-radius: 5px;
}

.lang:hover {
    background-color: #C8D5E7;
    border-radius: 5px;
}

.lang img {
    height: auto;
}

/* ----- SIDEBAR ----- */
.admin-nav,
.system-nav,
.user-nav {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.link-button {
    display: block;
    text-decoration: none;
    margin: 0.35em 0;
    width: 13em;
    text-align: center;
}

.link-button.button.inactive-link {
    background-color: #999999;
    color: black;
    border: 1px solid black;
    pointer-events: none;
}

.link-button.button.menu-link-active {
    color: black;
    background-color: #E2B327;
    border: 1px solid black;
}


.link-button.button.menu-link-active:hover {
    background-color: #E2B327;
    color: black;
}

/* Logga ut-knapp i header. */
.logout-button {
    text-decoration: none;
    text-align: center;
    float: inline-start;
    width: 120px;
}

.header-offset {
    margin-top: 2em;
    margin-left: 2em;
    margin-bottom: 2em;
}

.welcome-message {
    font-size: 200%;
    text-align: center;
    margin-top: 3em;
}

.login-problem {
    font-size: 90%;
    text-align: center;
    margin-top: 2em;
}

/*-------------------------*/

.online-status-holder,
.offline-status-holder {
    font-size: 20px;
    margin-bottom: 2em;
}

/*
EVENTUM 2 TAB CLASSES
--------------------------------------
*/

.tab-hidden {
    display: none;
}

.tab-link {
    background-color: #3A4EA3;
    color: #ECECEC;
    padding: 8px 15px;
    margin-left: 1em;
    font-size: 18px;
    text-decoration: none;
    border-radius: 5px;
    cursor: pointer;
    font-family: Arial, sans-serif;
    border: none;
    outline: none;
}

.tab-link:hover {
    background-color: #e2b327;
    color: black;
}

.tab-link-active {
    background-color: #e2b327;
    color: black;
    border: 1px solid black;
}

.edit-system-tab-links,
.edit-config-tab-links,
.update-config-tab-links {
    display: flex;
    flex-direction: row;
    align-items: center;
}

/*--------------------------------------*/

/*
GENERAL EVENTUM2 CLASSES
--------------------------------------
*/

.empty-message {
    text-align: center;
    font-style: italic;
    color: #555;
    padding: 10px;
}

#sms-number-table {
    width: 100%;
}

.event-table-scrollbox {
    height: 40em;
    width: auto;
    max-width: 50em;
    overflow: auto;
    margin: 0 1em 1em 0;
}

#eventTable tr:nth-child(odd) {
    background-color: #ECECEC;
}

.upper-section-holder {
    display: table;
    vertical-align: top;
    margin: auto;
}

.upper-section {
    background-color: pink;
}

.upper-section td,
th {
    text-align: center;
}

.lower-section-holder {
    display: table;
    vertical-align: top;
    margin: auto;
}

.lower-section {
    display: inline-block;
    vertical-align: top;
}

.lower-section td,
th {
    text-align: center;
}

.scrollbox.table-scroll {
    height: auto;
    max-height: none;
    width: 1400px;
    max-width: 100%;
    overflow-x: auto;
    overflow-y: hidden;
    padding-bottom: 1em;
    margin-bottom: 1em;
}

.single-table-on-row td,
th {
    text-align: center;
}

/*--------------------------------------*/

/*
PIKADAY CLASSES
-------------------------
*/
.pika-single {
    z-index: 9999;
    display: block;
    position: relative;
    color: #333;
    background: #fff;
    border: 1px solid #ccc;
    border-bottom-color: #bbb;
    font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
}

.pika-single.is-hidden {
    display: none;
}

.pika-button {
    border: none;

}

.pika-button:hover {
    color: #fff;
    background: #ff8000;
    box-shadow: none;
    border-radius: 3px;
}

.is-today .pika-button {
    color: #33aaff;
    font-weight: bold;
}

/*-------------------------*/

/*
ID
-------------------------
*/

.table-layout-block {
    padding: 2em 5em;
    background-color: #CECECE;
    border-radius: 15px;
    font-weight: bold;
    display: table;
    text-align: center;
    margin: 2em auto 0 auto;
}

/*
temporary solution TOO:
*/
.table-layout-block .right-test {
    display: table-cell;
    margin-left: 10px;
    margin-bottom: 10px;
    height: 25px;
    border-radius: 5px;
    outline: none;
    border: none;
}

.table-layout-block .left-test {
    display: table-cell;
    text-align: right;
}

.table-layout-block .row {
    display: table-row;
    line-height: 1.5em;
}

#removeSystemHolder {
    margin-left: 15em;
}

/*-------------------------*/

/*
SIGNAL STRENGTH CLASSES
--------------------------------------
*/
.lowest {
    height: 1em;
}

.lower {
    height: 2em;
}

.middle {
    height: 3em;
}

.higher {
    height: 4em;
}

.highest {
    height: 5em;
    margin-top: 0.5em;
}

.bar-display {
    width: 1.5em;
    margin-left: 0.3em;
    display: inline-block;
    vertical-align: bottom;
    outline: 1px solid #000000;

    /*taken from http://stackoverflow.com/questions/9601357/placing-border-inside-of-div-and-not-on-its-edge*/
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
}

.table-align td {
    vertical-align: middle;
}

.signal-bar-active {
    background-color: #99c2ff;
}

.signal-bar-inactive {
    border: 3px solid #99c2ff;
}

/*--------------------------------------*/

/* ---- SPECIFIKA FIXAR för INTERNET EXPLORER 11 och framåt ---- */
@media all and (-ms-high-contrast: none),
(-ms-high-contrast: active) {

    html,
    body {
        height: 100%;
    }

    .layout-wrapper {
        display: -ms-flexbox;
        -ms-flex-direction: row;
        -ms-flex-align: stretch;
    }

    .sidebar {
        -ms-flex: 0 0 17em;
        height: auto;
    }

    main:not(.main-login) {
        -ms-flex: 1 1 auto;
        height: auto;
        margin-left: 0 !important;
    }

    .table-layout-block .right-test {
        display: inline-block !important;
        width: 100%;
    }

    .form-holder>* {
        margin: 0 1em 1em 0;
    }

    .form-input-select {
        padding-right: 0;
    }

    textarea {
        overflow: hidden;
    }

    .group-container-fit,
    .group-container {
        width: auto !important;
        display: inline-block !important;
        margin-top: 0;
    }

    .system-edit-container {
        display: flex;
        flex-direction: row;
    }

    .system-edit-container>* {
        margin: 0 1em 1em 0;
    }

    .block-display-inner {
        display: block;
    }

    .edit-config-tab-links,
    .update-config-tab-links,
    .config-tab-links {
        margin-bottom: 2em;
    }

    #editTempLoweringHolder {
        margin-top: 2em;
    }

    .config-request {
        display: inline-block;
    }

    #tempEntryLinks {
        max-width: 1000px;
    }

    .temp-lowering-table {
        width: 100%;
        max-width: 400px;
    }

    #groupStatusHolder .data-table,
    #outputHolder .data-table {
        display: table !important;
        width: 250px;
        table-layout: fixed;
    }

    #groupStatusHolder .data-table caption,
    #outputHolder .data-table caption {
        display: table-caption;
        width: 100%;
        text-align: center;
    }

    #groupStatusHolder,
    #outputHolder {
        display: inline-block;
        vertical-align: top;
        max-width: 250px;
    }

    #tabContent .tab-hidden {
        display: none !important;
        visibility: hidden !important;
    }

    #tabContent .tab-active {
        display: block !important;
        visibility: visible !important;
    }
}

/* ---- SPECIFIKA FIXAR FÖR SAFARI 9 och framåt ---- */
@supports (-webkit-touch-callout: none) {

    .layout-wrapper {
        min-height: 100vh;
    }

    .sidebar {
        align-self: stretch;
    }

}

/* ---- SPECIFIKA FIXAR för FIREFOX ---- */
@-moz-document url-prefix() {

    #tempEntryLinks {
        max-width: 1000px;
    }

    .temp-lowering-table {
        width: 100%;
        table-layout: auto;
        max-width: 400px;
    }

    /* extra säkerhet för caption */
    .temp-lowering-table caption {
        display: table-caption;
        caption-side: top;
        text-align: center;
    }
}